package main

var EXTENSIONS = map[string]string {
  "asax" : "ASP.NET",
  "ascx" : "ASP.NET",
  "ashx" : "ASP.NET",
  "asmx" : "ASP.NET",
  "axd" : "ASP.NET",

  "as" : "ActionScript",

  "adb" : "Ada",
  "ada" : "Ada",
  "ads" : "Ada",

  "applescript" : "AppleScript",
  "scpt" : "AppleScript",

  "asciidoc" : "AsciiDoc",
  "adoc" : "AsciiDoc",
  "asc" : "AsciiDoc",

  "asm" : "Assembly",
  "a51" : "Assembly",
  "i" : "Assembly",
  "inc" : "Assembly",
  "nasm" : "Assembly",

  "astro" : "Astro",

  "ahk" : "AutoHotKey",
  "ahkl" : "AutoHotKey",

  "awk" : "Awk",
  "auk" : "Awk",
  "gawk" : "Awk",
  "mawk" : "Awk",
  "nawk" : "Awk",

  "bas" : "BASIC",

  "bat" : "Batchfile",
  "cmd" : "Batchfile",

  "bf" : "Beef",

  "bib" : "BibTeX",
  "bibtex" : "BibTeX",

  "bison" : "Bison",

  "blade" : "Blade",
  "blade.php" : "Blade",

  "bmx" : "BlitzMax",

  "bsv" : "Bluespec",

  "boo" : "Boo",

  "bpl" : "Boogie",

  "b" : "Brainfuck",

  "brs" : "Brightscript",

  "c" : "C",
  "cats" : "C",
  "h" : "C",
  "idc" : "C",

  "cs" : "C#",
  "cake" : "C#",
  "csx" : "C#",
  "linq" : "C#",

  "cpp" : "C++",
  "c++" : "C++",
  "cc" : "C++",
  "cp" : "C++",
  "cxx" : "C++",
  "h++" : "C++",
  "hh" : "C++",
  "hpp" : "C++",
  "hxx" : "C++",
  "inl" : "C++",
  "ino" : "C++",
  "ipp" : "C++",
  "re" : "C++",
  "tcc" : "C++",
  "tpp"  : "C++",
  
  "cmake" : "CMake",
  "cmake.in" : "CMake",

  "cob" : "COBOL",
  "cbl" : "COBOL",
  "ccp" : "COBOL",
  "cobol" : "COBOL",
  "cpy" : "COBOL",

  "cson" : "CSON",

  "css" : "CSS",

  "csv" : "CSV",

  "cue" : "CUE",

  "ceylon" : "Ceylon",

  "chpl" : "Chapel",

  "asp" : "Classic ASP",

  "clj" : "Clojure",
  "boot" : "Clojure",
  "cl2" : "Clojure",
  "cljc" : "Clojure",
  "cljs" : "Clojure",
  "cljs.hl" : "Clojure",
  "cljscm" : "Clojure",
  "cljx" : "Clojure",
  "hic" : "Clojure",

  "ql" : "CodeQL",
  "qll" : "CodeQL",
  
  "coffee" : "CoffeeScript",
  "_coffee" : "CoffeeScript",
  "cjsx" : "CoffeeScript",
  "iced" : "CoffeeScript",
  
  "lisp" : "Common Lisp",
  "asd" : "Common Lisp",
  "cl" : "Common Lisp",
  "l" : "Common Lisp",
  "lsp" : "Common Lisp",
  "ny" : "Common Lisp",
  "podsl" : "Common Lisp",
  "sexp" : "Common Lisp",

  "cwl" : "Common Workflow Language",

  "cr" : "Crystal",

  "cu" : "Cuda",
  "cuh" : "Cuda",

  "pyx" : "Cython",
  "pxd" : "Cython",
  "pxi" : "Cython",

  "d" : "D",
  "di" : "D",

  "dart" : "Dart",

  "dockerfile" : "Dockerfile",

  "djs" : "Dogescript",

  "ejs" : "EJS",
  "ect" : "EJS",
  "ejs.t" : "EJS",
  "jst" : "EJS",

  "ex" : "Elixir",
  "exs" : "Elixir",

  "elm" : "Elm",

  "em" : "EmberScript",
  "emberscript" : "EmberScript",

  "erl" : "Erlang",
  "app.src" : "Erlang",
  "escript" : "Erlang",
  "hrl" : "Erlang",
  "xrl" : "Erlang",
  "yrl" : "Erlang",

  "fs" : "F#",
  "fsi" : "F#",
  "fsx" : "F#",

  "f" : "Fortran",
  "f77" : "Fortran",
  "for" : "Fortran",
  "fpp" : "Fortran",

  "fr" : "Frege",

  "glf" : "Glyph",

  "go" : "Go",
  "mod" : "Go",
  "sum" : "Go",

  "golo" : "Golo",

  "gs" : "Gosu",
  "gst" : "Gosu",
  "gsx" : "Gosu",
  "vark" : "Gosu",

  "gradle" : "Gradle",

  "graphql" : "GraphQL",
  "gql" : "GraphQL",
  "graphqls" : "GraphQL",
  
  "groovy" : "Groovy",
  "grt" : "Groovy",
  "gtpl" : "Groovy",
  "gvy" : "Groovy",

  "html" : "HTML",
  "hta" : "HTML",
  "htm" : "HTML",
  "html.hl" : "HTML",
  "xht" : "HTML",
  "xhtml" : "HTML",

  "http" : "HTTP",

  "hs" : "Haskell",
  "hs-boot" : "Haskell",
  "hsc" : "Haskell",

  "java" : "Java",
  "jav" : "Java",

  "js" : "JavaScript",
  "_js" : "JavaScript",
  "bones" : "JavaScript",
  "cjs" : "JavaScript",
  "es" : "JavaScript",
  "es6" : "JavaScript",
  "frag" : "JavaScript",
  "jake" : "JavaScript",
  "javascript" : "JavaScript",
  "jsb" : "JavaScript",
  "jscad" : "JavaScript",
  "jsfl" : "JavaScript",
  "jsm" : "JavaScript",
  "jss" : "JavaScript",
  "mjs" : "JavaScript",
  "njs" : "JavaScript",
  "pac" : "JavaScript",
  "sjs" : "JavaScript",
  "ssjs" : "JavaScript",
  "xsjs" : "JavaScript",
  "xsjslib" : "JavaScript",

  "json" : "JSON",
  "avsc" : "JSON",
  "geojson" : "JSON",
  "gltf" : "JSON",
  "har" : "JSON",
  "ice" : "JSON",
  "JSON-tmLanguage" : "JSON",
  "jsonl" : "JSON",
  "jsonc" : "JSON",
  "mcmeta" : "JSON",
  "tfstate" : "JSON",
  "tfstate.backup" : "JSON",
  "topojson" : "JSON",
  "webapp" : "JSON",
  "webmanifest" : "JSON",
  "yy" : "JSON",
  "yyp" : "JSON",

  "ipynb" : "Jupyter Notebook",

  "kt" : "Kotlin",
  "ktm" : "Kotlin",
  "kts" : "Kotlin",
  
  "latte" : "Latte",

  "less" : "Less",
  
  "ls" : "LiveScript",
  "_ls" : "LiveScript",
  
  "ll" : "LLVM",

  "lua" : "Lua",
  "fcgi" : "Lua",
  "nse" : "Lua",
  "p8" : "Lua",
  "pd_lua" : "Lua",
  "rbxs" : "Lua",
  "rockspec" : "Lua",
  "wlua" : "Lua",

  "mathematica" : "Mathematica",
  "cdf" : "Mathematica",
  "m" : "Mathematica",
  "ma" : "Mathematica",
  "mt" : "Mathematica",
  "nb" : "Mathematica",
  "nbp" : "Mathematica",
  "wl" : "Mathematica",
  "wlt" : "Mathematica",
  
  "mak" : "Makefile",
  "make" : "Makefile",
  "makefile" : "Makefile",
  "mk" : "Makefile",
  "mkfile" : "Makefile",
  
  "md" : "Markdown",
  "markdown" : "Markdown",
  "mdown" : "Markdown",
  "mdwn" : "Markdown",
  "mdx" : "Markdown",
  "mkd" : "Markdown",
  "mkdn" : "Markdown",
  "mkdown" : "Markdown",
  "ronn" : "Markdown",
  "scd" : "Markdown",
  "workbook" : "Markdown",
  
  "mask" : "Mask",

  "matlab" : "MATLAB",

  "nginx" : "Nginx",
  "nginxconf" : "Nginx",
  "vhost" : "Nginx",

  "ml" : "OCaml",
  "eliom" : "OCaml",
  "eliomi" : "OCaml",
  "ml4" : "OCaml",
  "mli" : "OCaml",
  "mll" : "OCaml",
  "mly" : "OCaml",

  "pas" : "Pascal",
  "dfm" : "Pascal",
  "dpr" : "Pascal",
  "lpr" : "Pascal",
  "pascal" : "Pascal",
  "pp" : "Pascal",

  "pl" : "Perl",
  "al" : "Perl",
  "cgi" : "Perl",
  "perl" : "Perl",
  "ph" : "Perl",
  "plx" : "Perl",
  "pm" : "Perl",
  "psgi" : "Perl",
  "t" : "Perl",

  "php" : "PHP",
  "aw" : "PHP",
  "ctp" : "PHP",
  "php3" : "PHP",
  "php4" : "PHP",
  "php5" : "PHP",
  "phps" : "PHP",
  "phpt" : "PHP",

  "pcss" : "PostCSS",
  "postcss" : "PostCSS",

  "ps1" : "Powershell",
  "psd1" : "Powershell",
  "psm1" : "Powershell",

  "prisma" : "Prisma",

  "pde" : "Processing",

  "py" : "Python",
  "gyp" : "Python",
  "gypi" : "Python",
  "lmi" : "Python",
  "py3" : "Python",
  "pyde" : "Python",
  "pyi" : "Python",
  "pyp" : "Python",
  "pyt" : "Python",
  "pytb" : "Python",
  "pyw" : "Python",
  "rpy" : "Python",
  "smk" : "Python",
  "spec" : "Python",
  "tac" : "Python",
  "wsgi" : "Python",
  "xpy" : "Python",

  "r" : "R",
  "rd" : "R",
  "rsx" : "R",

  "jsx" : "React",
  "tsx" : "React",

  "regexp" : "Regular Expression",
  "regex" : "Regular Expression",

  "rb" : "Ruby",
  "builder" : "Ruby",
  "eye" : "Ruby",
  "gemspec" : "Ruby",
  "god" : "Ruby",
  "jbuilder" : "Ruby",
  "mspec" : "Ruby",
  "pluginspec" : "Ruby",
  "podspec" : "Ruby",
  "prawn" : "Ruby",
  "rabl" : "Ruby",
  "rake" : "Ruby",
  "rbi" : "Ruby",
  "rbuild" : "Ruby",
  "rbw" : "Ruby",
  "rbx" : "Ruby",
  "ru" : "Ruby",
  "ruby" : "Ruby",
  "thor" : "Ruby",
  "watchr" : "Ruby",

  "rs" : "Rust",
  "rs.in" : "Rust",

  "sass" : "Sass",

  "sas" : "SAS",

  "scala" : "Scala",
  "kojo" : "Scala",
  "sbt" : "Scala",
  "sc" : "Scala",

  "sci" : "Scilab",
  "sce" : "Scilab",
  "tst" : "Scilab",

  "scss" : "SCSS",

  "sh" : "Shell",
  "bash" : "Shell",
  "bats" : "Shell",
  "command" : "Shell",
  "env" : "Shell",
  "fish" : "Shell",
  "ksh" : "Shell",
  "sh.in" : "Shell",
  "tmux" : "Shell",
  "tool" : "Shell",
  "zsh" : "Shell",

  "sql" : "SQL",
  "cql" : "SQL",
  "ddl" : "SQL",
  "mysql" : "SQL",
  "prc" : "SQL",
  "tab" : "SQL",
  "udf" : "SQL",
  "viw" : "SQL",

  "svelte" : "Svelte",

  "svg" : "SVG",

  "swift" : "Swift",

  "txt" : "Text",
  "ncl" : "Text",
  "no" : "Text",

  "ts" : "TypeScript",

  "vim" : "Vim Script",
  "vba" : "Vim Script",
  "vimrc" : "Vim Script",
  "vmb" : "Vim Script",

  "vb" : "Visual Basic .NET",
  "vbhtml" : "Visual Basic .NET",

  "vue" : "Vue",

  "wasm" : "WebAssembly",
  "wast" : "WebAssembly",
  "wat" : "WebAssembly",

  "xml" : "XML",
  "adml" : "XML",
  "admx" : "XML",
  "ant" : "XML",
  "axml" : "XML",
  "builds" : "XML",
  "ccproj" : "XML",
  "ccxml" : "XML",
  "clixml" : "XML",
  "cproject" : "XML",
  "cscfg" : "XML",
  "csdef" : "XML",
  "csl" : "XML",
  "csproj" : "XML",
  "ct" : "XML",
  "depproj" : "XML",
  "dita" : "XML",
  "ditamap" : "XML",
  "ditaval" : "XML",
  "dll.config" : "XML",
  "dotsettings" : "XML",
  "filters" : "XML",
  "fsproj" : "XML",
  "fxml" : "XML",
  "glade" : "XML",
  "gml" : "XML",
  "gmx" : "XML",
  "grxml" : "XML",
  "hzp" : "XML",
  "iml" : "XML",
  "ivy" : "XML",
  "jelly" : "XML",
  "jsproj" : "XML",
  "kml" : "XML",
  "launch" : "XML",
  "mdpolicy" : "XML",
  "mjml" : "XML",
  "mm" : "XML",
  "mxml" : "XML",
  "natvis" : "XML",
  "ndproj" : "XML",
  "nproj" : "XML",
  "nuspec" : "XML",
  "odd" : "XML",
  "osm" : "XML",
  "pkgproj" : "XML",
  "proj" : "XML",
  "props" : "XML",
  "ps1xml" : "XML",
  "psc1" : "XML",
  "pt" : "XML",
  "rdf" : "XML",
  "res" : "XML",
  "resx" : "XML",
  "rss" : "XML",
  "sch" : "XML",
  "scxml" : "XML",
  "sfproj" : "XML",
  "shproj" : "XML",
  "srdf" : "XML",
  "storyboard" : "XML",
  "sublime-snippet" : "XML",
  "targets" : "XML",
  "tml" : "XML",
  "ui" : "XML",
  "urdf" : "XML",
  "ux" : "XML",
  "vbproj" : "XML",
  "vcxproj" : "XML",
  "vsixmanifest" : "XML",
  "vssettings" : "XML",
  "vstemplate" : "XML",
  "vxml" : "XML",
  "wixproj" : "XML",
  "workflow" : "XML",
  "wsdl" : "XML",
  "wsf" : "XML",
  "wxi" : "XML",
  "wxl" : "XML",
  "wxs" : "XML",
  "x3d" : "XML",
  "xacro" : "XML",
  "xaml" : "XML",
  "xib" : "XML",
  "xlf" : "XML",
  "xliff" : "XML",
  "xmi" : "XML",
  "xml.dist" : "XML",
  "xmp" : "XML",
  "xproj" : "XML",
  "xsd" : "XML",
  "xspec" : "XML",
  "xul" : "XML",
  "zcml" : "XML",

  "yml" : "YAML",
  "mir" : "YAML",
  "reek" : "YAML",
  "rviz" : "YAML",
  "sublime-syntax" : "YAML",
  "syntax" : "YAML",
  "yaml" : "YAML",
  "yaml-tmlanguage" : "YAML",
  "yaml.sed" : "YAML",
  "yml.mysql" : "YAML",
}